diff --git a/wwjcloud/src/common/site/controllers/admin/UserLogController.ts b/wwjcloud/src/common/site/controllers/admin/UserLogController.ts
index 684b1e8..924a10d 100644
--- a/wwjcloud/src/common/site/controllers/admin/UserLogController.ts
+++ b/wwjcloud/src/common/site/controllers/admin/UserLogController.ts
@@ -1,4 +1,4 @@
-import { Controller, Get, Query, UseGuards, Req } from '@nestjs/common';
+import { Controller, Get, Query, UseGuards, Req, UnauthorizedException } from '@nestjs/common';
 import { ApiTags, ApiOperation } from '@nestjs/swagger';
 import type { Request } from 'express';
 import { JwtAuthGuard } from '../../../auth/guards/JwtAuthGuard';
@@ -20,9 +20,11 @@ export class UserLogController {
   @Get('page')
   @ApiOperation({ summary: '日志分页' })
   async page(@Query() query: any, @Req() req: AuthenticatedRequest) {
-    const siteId = req.user?.siteId || 0;
-    const data = await this.service.getPage(siteId, query);
-    return { code: 200, message: '获取成功', data };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.service.getPage(siteId, query);
   }
 }
 
diff --git a/wwjcloud/src/common/site/entities/Site.ts b/wwjcloud/src/common/site/entities/Site.ts
index 1d6a74f..c8c4d8f 100644
--- a/wwjcloud/src/common/site/entities/Site.ts
+++ b/wwjcloud/src/common/site/entities/Site.ts
@@ -1,102 +1,104 @@
 ﻿import { Entity, PrimaryGeneratedColumn, Column, CreateDateColumn, UpdateDateColumn } from "typeorm";
-import { BaseEntity } from "../../../core/base/BaseEntity";
 
 /**
  * 站点实体
  * 对应PHP: app\model\site\Site
  */
 @Entity("site")
-export class Site extends BaseEntity {
+export class Site {
   @PrimaryGeneratedColumn({ name: "site_id" })
-  siteId: number;
+  site_id: number;
 
-  @Column({ name: "site_name", length: 100, comment: "站点名称" })
-  siteName: string;
+  @Column({ name: "site_name", type: "varchar", length: 50, default: "", comment: "站点名称" })
+  site_name: string;
 
-  @Column({ name: "front_end_name", length: 100, default: "", comment: "前端名称" })
-  frontEndName: string;
+  @Column({ name: "group_id", type: "int", default: 0, comment: "分组ID(0:不限制)" })
+  group_id: number;
 
-  @Column({ name: "front_end_logo", length: 500, default: "", comment: "前端Logo" })
-  frontEndLogo: string;
-
-  @Column({ name: "front_end_icon", length: 500, default: "", comment: "前端图标" })
-  frontEndIcon: string;
-
-  @Column({ name: "app_type", length: 20, default: "site", comment: "应用类型" })
-  appType: string;
-
-  @Column({ name: "keywords", length: 200, default: "", comment: "关键词" })
+  @Column({ name: "keywords", type: "varchar", length: 255, default: "", comment: "关键字" })
   keywords: string;
 
-  @Column({ name: "logo", length: 500, default: "", comment: "Logo" })
+  @Column({ name: "app_type", type: "varchar", length: 50, default: "admin", comment: "站点类型" })
+  app_type: string;
+
+  @Column({ name: "logo", type: "varchar", length: 255, default: "", comment: "站点logo" })
   logo: string;
 
-  @Column({ name: "icon", length: 500, default: "", comment: "图标" })
-  icon: string;
-
-  @Column({ name: "desc", type: "text", default: "", comment: "描述" })
+  @Column({ name: "desc", type: "varchar", length: 255, default: "", comment: "简介" })
   desc: string;
 
-  @Column({ name: "status", type: "tinyint", default: 1, comment: "状态 0禁用 1启用" })
+  @Column({ name: "status", type: "tinyint", default: 1, comment: "状态 1-正常 0-体验期 2-已到期" })
   status: number;
 
-  @Column({ name: "latitude", type: "decimal", precision: 10, scale: 6, default: 0, comment: "纬度" })
-  latitude: number;
+  @Column({ name: "latitude", type: "varchar", length: 255, default: "", comment: "纬度" })
+  latitude: string;
 
-  @Column({ name: "longitude", type: "decimal", precision: 10, scale: 6, default: 0, comment: "经度" })
-  longitude: number;
+  @Column({ name: "longitude", type: "varchar", length: 255, default: "", comment: "经度" })
+  longitude: string;
 
-  @Column({ name: "province_id", type: "int", default: 0, comment: "省份ID" })
-  provinceId: number;
+  @Column({ name: "province_id", type: "int", default: 0, comment: "省" })
+  province_id: number;
 
-  @Column({ name: "city_id", type: "int", default: 0, comment: "城市ID" })
-  cityId: number;
+  @Column({ name: "city_id", type: "int", default: 0, comment: "市" })
+  city_id: number;
 
-  @Column({ name: "district_id", type: "int", default: 0, comment: "区县ID" })
-  districtId: number;
+  @Column({ name: "district_id", type: "int", default: 0, comment: "区" })
+  district_id: number;
 
-  @Column({ name: "address", length: 200, default: "", comment: "地址" })
+  @Column({ name: "address", type: "varchar", length: 255, default: "", comment: "详细地址" })
   address: string;
 
-  @Column({ name: "full_address", length: 500, default: "", comment: "完整地址" })
-  fullAddress: string;
+  @Column({ name: "full_address", type: "varchar", length: 255, default: "", comment: "完整地址" })
+  full_address: string;
 
-  @Column({ name: "phone", length: 20, default: "", comment: "电话" })
+  @Column({ name: "phone", type: "varchar", length: 255, default: "", comment: "客服电话" })
   phone: string;
 
-  @Column({ name: "business_hours", length: 200, default: "", comment: "营业时间" })
-  businessHours: string;
+  @Column({ name: "business_hours", type: "varchar", length: 255, default: "", comment: "营业时间" })
+  business_hours: string;
 
-  @Column({ name: "expire_time", type: "timestamp", nullable: true, comment: "过期时间" })
-  expireTime: Date;
+  @CreateDateColumn({ name: "create_time", type: "int", default: 0, comment: "创建时间" })
+  create_time: number;
 
-  @Column({ name: "group_id", type: "int", default: 0, comment: "分组ID" })
-  groupId: number;
+  @Column({ name: "expire_time", type: "bigint", default: 0, comment: "到期时间（如果是0 无限期）" })
+  expire_time: number;
 
-  @Column({ name: "app", type: "json", nullable: true, comment: "应用配置" })
-  app: string[];
+  @Column({ name: "front_end_name", type: "varchar", length: 50, default: "", comment: "前台名称" })
+  front_end_name: string;
 
-  @Column({ name: "addons", type: "json", nullable: true, comment: "插件配置" })
-  addons: string[];
+  @Column({ name: "front_end_logo", type: "varchar", length: 255, default: "", comment: "前台logo" })
+  front_end_logo: string;
 
-  @Column({ name: "initalled_addon", type: "json", nullable: true, comment: "已安装插件" })
-  initalledAddon: string[];
+  @Column({ name: "front_end_icon", type: "varchar", length: 255, default: "", comment: "前台图标" })
+  front_end_icon: string;
 
-  @Column({ name: "site_domain", length: 200, default: "", comment: "站点域名" })
-  siteDomain: string;
+  @Column({ name: "icon", type: "varchar", length: 255, default: "", comment: "图标" })
+  icon: string;
 
-  @Column({ name: "meta_title", length: 200, default: "", comment: "SEO标题" })
-  metaTitle: string;
+  @Column({ name: "member_no", type: "varchar", length: 50, default: "0", comment: "会员编号" })
+  member_no: string;
 
-  @Column({ name: "meta_desc", length: 500, default: "", comment: "SEO描述" })
-  metaDesc: string;
+  @Column({ name: "app", type: "text", default: "", comment: "应用" })
+  app: string;
 
-  @Column({ name: "meta_keyword", length: 200, default: "", comment: "SEO关键词" })
-  metaKeyword: string;
+  @Column({ name: "addons", type: "text", default: "", comment: "插件" })
+  addons: string;
 
-  @CreateDateColumn({ name: "create_time", comment: "创建时间" })
-  createTime: Date;
+  @Column({ name: "initalled_addon", type: "text", default: "", comment: "已安装插件" })
+  initalled_addon: string;
 
-  @UpdateDateColumn({ name: "update_time", comment: "更新时间" })
-  updateTime: Date;
+  @Column({ name: "site_domain", type: "varchar", length: 255, default: "", comment: "站点域名" })
+  site_domain: string;
+
+  @Column({ name: "meta_title", type: "varchar", length: 255, default: "", comment: "Meta 标题" })
+  meta_title: string;
+
+  @Column({ name: "meta_desc", type: "varchar", length: 255, default: "", comment: "Meta 描述" })
+  meta_desc: string;
+
+  @UpdateDateColumn({ name: "update_time", type: "int", default: 0, comment: "更新时间" })
+  update_time: number;
+
+  @Column({ name: "is_del", type: "tinyint", default: 0, comment: "是否删除" })
+  is_del: number;
 }
diff --git a/wwjcloud/src/common/site/entities/SiteAccountLog.ts b/wwjcloud/src/common/site/entities/SiteAccountLog.ts
index f8860a4..b7a3c2b 100644
--- a/wwjcloud/src/common/site/entities/SiteAccountLog.ts
+++ b/wwjcloud/src/common/site/entities/SiteAccountLog.ts
@@ -1,4 +1,4 @@
-﻿import { Entity, Column } from 'typeorm';
+﻿import { Entity, Column, PrimaryGeneratedColumn } from 'typeorm';
 import { BaseEntity } from '../../../core/base/BaseEntity';
 
 /**
@@ -7,6 +7,8 @@ import { BaseEntity } from '../../../core/base/BaseEntity';
  */
 @Entity('site_account_log')
 export class SiteAccountLog extends BaseEntity {
+  @PrimaryGeneratedColumn({ name: 'id' })
+  id: number;
   @Column({ name: 'type', type: 'varchar', length: 50, comment: '类型：pay支付，refund退款，transfer转账' })
   type: string;
 
diff --git a/wwjcloud/src/common/site/services/admin/SiteGroupService.ts b/wwjcloud/src/common/site/services/admin/SiteGroupService.ts
index 8cbd28e..2a82a39 100644
--- a/wwjcloud/src/common/site/services/admin/SiteGroupService.ts
+++ b/wwjcloud/src/common/site/services/admin/SiteGroupService.ts
@@ -1,5 +1,5 @@
 ﻿import { Injectable } from "@nestjs/common";
-import { CoreSiteGroupService } from "../core/CoreSiteGroupService";
+import { SiteGroupCoreService } from "../core/SiteGroupCoreService";
 import { SiteGroup } from "../../entities/SiteGroup";
 
 /**
@@ -9,7 +9,7 @@ import { SiteGroup } from "../../entities/SiteGroup";
 @Injectable()
 export class SiteGroupService {
   constructor(
-    private readonly coreSiteGroupService: CoreSiteGroupService,
+    private readonly coreSiteGroupService: SiteGroupCoreService,
   ) {}
 
   /**
diff --git a/wwjcloud/src/common/site/services/admin/SiteService.ts b/wwjcloud/src/common/site/services/admin/SiteService.ts
index a73694d..fa38ae5 100644
--- a/wwjcloud/src/common/site/services/admin/SiteService.ts
+++ b/wwjcloud/src/common/site/services/admin/SiteService.ts
@@ -110,28 +110,28 @@ export class SiteService {
     this.normalizeExpire(payload);
     
     // 校验 site_id 权限
-    if (payload.siteId) {
-      this.validateSiteId(payload.siteId, req);
+    if (payload.site_id) {
+      this.validateSiteId(payload.site_id, req);
     }
     
     const site = await this.coreSiteService.add(payload);
     // 分组应用/插件同步到站点，并触发微页面加载
     try {
-      if (payload.groupId) {
-        const group = await this.siteGroupCoreService.getInfo(Number(payload.groupId));
+      if (payload.group_id) {
+        const group = await this.siteGroupCoreService.getInfo(Number(payload.group_id));
         if (group) {
           await this.domainEventService.publishEvent(
             'AddSiteAfter',
-            String(site.siteId ?? ''),
-            String(req?.user?.siteId ?? site.siteId ?? ''),
-            { site_id: site.siteId, main_app: group.app || [], site_addons: group.addon || [] },
+            String(site.site_id ?? ''),
+            String(req?.user?.siteId ?? site.site_id ?? ''),
+            { site_id: site.site_id, main_app: group.app || [], site_addons: group.addon || [] },
           );
           // 加载微页面数据（对齐 PHP: DiyService->loadDiyData）
           await this.domainEventService.publishEvent(
             'site.diy.load',
-            String(site.siteId ?? ''),
-            String(req?.user?.siteId ?? site.siteId ?? ''),
-            { site_id: site.siteId, main_app: group.app || [], tag: 'add' },
+            String(site.site_id ?? ''),
+            String(req?.user?.siteId ?? site.site_id ?? ''),
+            { site_id: site.site_id, main_app: group.app || [], tag: 'add' },
           );
         }
       }
@@ -141,14 +141,14 @@ export class SiteService {
     try {
       await this.domainEventService.publishEvent(
         'site.site.added',
-        String(site.siteId ?? site['site_id'] ?? ''),
-        String((req?.user?.siteId ?? 0) || 0),
-        { siteId: site.siteId ?? site['site_id'], payload },
+        String(site.site_id ?? ''),
+        String(req?.user?.siteId || site.site_id),
+        { siteId: site.site_id, payload },
       );
     } catch {}
     // 记录审计日志
-    await this.logAudit('site.create', site.siteId || 0, data, req);
-    return site.siteId;
+    await this.logAudit('site.create', site.site_id, data, req);
+    return site.site_id;
   }
 
   async edit(
@@ -167,12 +167,12 @@ export class SiteService {
         await this.domainEventService.publishEvent(
           'site.site.updated',
           String(siteId),
-          String((req?.user?.siteId ?? 0) || 0),
+          String(req?.user?.siteId || siteId),
           { siteId, payload },
         );
         // 若分组变更，同步应用/插件并刷新微页面
-        if (payload.groupId) {
-          const group = await this.siteGroupCoreService.getInfo(Number(payload.groupId));
+        if (payload.group_id) {
+          const group = await this.siteGroupCoreService.getInfo(Number(payload.group_id));
           if (group) {
             await this.domainEventService.publishEvent(
               'AddSiteAfter',
@@ -210,7 +210,7 @@ export class SiteService {
         await this.domainEventService.publishEvent(
           'site.site.deleted',
           String(siteId),
-          String((req?.user?.siteId ?? 0) || 0),
+          String(req?.user?.siteId || siteId),
           { siteId },
         );
       }
@@ -232,7 +232,7 @@ export class SiteService {
         await this.domainEventService.publishEvent(
           'site.site.status_updated',
           String(siteId),
-          String((req?.user?.siteId ?? 0) || 0),
+          String(req?.user?.siteId || siteId),
           { siteId, status },
         );
       }
@@ -267,7 +267,7 @@ export class SiteService {
     }
     // 触发初始化事件（对齐 PHP: event('SiteInit', ...)）
     try {
-      const group = site.groupId ? await this.siteGroupCoreService.getInfo(Number(site.groupId)) : null;
+      const group = site.group_id ? await this.siteGroupCoreService.getInfo(Number(site.group_id)) : null;
       await this.domainEventService.publishEvent(
         'SiteInit',
         String(siteId),
diff --git a/wwjcloud/src/common/site/services/core/CoreSiteService.ts b/wwjcloud/src/common/site/services/core/CoreSiteService.ts
index 5ab39d5..ead76f0 100644
--- a/wwjcloud/src/common/site/services/core/CoreSiteService.ts
+++ b/wwjcloud/src/common/site/services/core/CoreSiteService.ts
@@ -1,7 +1,6 @@
 ﻿import { Injectable } from "@nestjs/common";
 import { InjectRepository } from "@nestjs/typeorm";
 import { Repository, Like } from "typeorm";
-import { BaseService } from "../../../../core/base/BaseService";
 import { Site } from "../../entities/Site";
 
 /**
@@ -9,13 +8,11 @@ import { Site } from "../../entities/Site";
  * 对应PHP: app\service\core\site\CoreSiteService
  */
 @Injectable()
-export class CoreSiteService extends BaseService<Site> {
+export class CoreSiteService {
   constructor(
     @InjectRepository(Site)
     private readonly siteRepository: Repository<Site>,
-  ) {
-    super(siteRepository);
-  }
+  ) {}
 
   /**
    * 分页查询站点列表
@@ -27,12 +24,12 @@ export class CoreSiteService extends BaseService<Site> {
       .createQueryBuilder("site")
       .where("site.app_type != :appType", { appType: "admin" })
       .select([
-        "site.siteId",
-        "site.siteName",
-        "site.frontEndName",
-        "site.frontEndLogo",
-        "site.frontEndIcon",
-        "site.appType",
+        "site.site_id",
+        "site.site_name",
+        "site.front_end_name",
+        "site.front_end_logo",
+        "site.front_end_icon",
+        "site.app_type",
         "site.keywords",
         "site.logo",
         "site.icon",
@@ -40,23 +37,23 @@ export class CoreSiteService extends BaseService<Site> {
         "site.status",
         "site.latitude",
         "site.longitude",
-        "site.provinceId",
-        "site.cityId",
-        "site.districtId",
+        "site.province_id",
+        "site.city_id",
+        "site.district_id",
         "site.address",
-        "site.fullAddress",
+        "site.full_address",
         "site.phone",
-        "site.businessHours",
-        "site.createTime",
-        "site.expireTime",
-        "site.groupId",
+        "site.business_hours",
+        "site.create_time",
+        "site.expire_time",
+        "site.group_id",
         "site.app",
         "site.addons",
-        "site.siteDomain",
+        "site.site_domain",
       ]);
 
     if (where.siteName) {
-      queryBuilder.andWhere("site.siteName LIKE :siteName", {
+      queryBuilder.andWhere("site.site_name LIKE :siteName", {
         siteName: `%${where.siteName}%`,
       });
     }
@@ -110,14 +107,14 @@ export class CoreSiteService extends BaseService<Site> {
    */
   async getInfo(siteId: number) {
     return await this.siteRepository.findOne({
-      where: { siteId },
+      where: { site_id: siteId },
       select: [
-        "siteId",
-        "siteName",
-        "frontEndName",
-        "frontEndLogo",
-        "frontEndIcon",
-        "appType",
+        "site_id",
+        "site_name",
+        "front_end_name",
+        "front_end_logo",
+        "front_end_icon",
+        "app_type",
         "keywords",
         "logo",
         "icon",
@@ -125,22 +122,21 @@ export class CoreSiteService extends BaseService<Site> {
         "status",
         "latitude",
         "longitude",
-        "provinceId",
-        "cityId",
-        "districtId",
+        "province_id",
+        "city_id",
+        "district_id",
         "address",
-        "fullAddress",
+        "full_address",
         "phone",
-        "businessHours",
-        "createTime",
-        "expireTime",
-        "groupId",
+        "business_hours",
+        "create_time",
+        "expire_time",
+        "group_id",
         "app",
         "addons",
-        "siteDomain",
-        "metaTitle",
-        "metaDesc",
-        "metaKeyword",
+        "site_domain",
+        "meta_title",
+        "meta_desc",
       ],
     });
   }
@@ -153,7 +149,7 @@ export class CoreSiteService extends BaseService<Site> {
   async add(data: Partial<Site>): Promise<Site> {
     const siteData = {
       ...data,
-      appType: data.appType || "site",
+      appType: data.app_type || "site",
       createTime: new Date(),
     };
 
@@ -170,10 +166,10 @@ export class CoreSiteService extends BaseService<Site> {
   async edit(siteId: number, data: Partial<Site>): Promise<boolean> {
     const updateData = {
       ...data,
-      updateTime: new Date(),
+      update_time: Math.floor(Date.now() / 1000),
     };
 
-    const result = await this.siteRepository.update(siteId, updateData);
+    const result = await this.siteRepository.update({ site_id: siteId }, updateData);
     return (result.affected || 0) > 0;
   }
 
@@ -220,10 +216,10 @@ export class CoreSiteService extends BaseService<Site> {
    */
   async getExpireTime(siteId: number) {
     const site = await this.siteRepository.findOne({
-      where: { siteId },
-      select: ["expireTime"],
+      where: { site_id: siteId },
+      select: ["expire_time"],
     });
-    return site ? { expireTime: site.expireTime } : null;
+    return site ? { expireTime: site.expire_time } : null;
   }
 
   /**
@@ -233,7 +229,7 @@ export class CoreSiteService extends BaseService<Site> {
    */
   async findByDomain(domain: string) {
     return await this.siteRepository.findOne({
-      where: { siteDomain: domain },
+      where: { site_domain: domain },
     });
   }
 
@@ -244,9 +240,9 @@ export class CoreSiteService extends BaseService<Site> {
    * @returns 是否成功
    */
   async updateStatus(siteId: number, status: number): Promise<boolean> {
-    const result = await this.siteRepository.update(siteId, {
+    const result = await this.siteRepository.update({ site_id: siteId }, {
       status,
-      updateTime: new Date(),
+      update_time: Math.floor(Date.now() / 1000),
     });
     return (result.affected || 0) > 0;
   }
@@ -260,7 +256,7 @@ export class CoreSiteService extends BaseService<Site> {
     const result = await this.siteRepository
       .createQueryBuilder()
       .update(Site)
-      .set({ status: 0, updateTime: new Date() })
+      .set({ status: 0, update_time: Math.floor(Date.now() / 1000) })
       .where('status = :enabled', { enabled: 1 })
       .andWhere('expire_time IS NOT NULL')
       .andWhere('expire_time < :before', { before })
diff --git a/wwjcloud/src/common/site/services/core/SiteGroupCoreService.ts b/wwjcloud/src/common/site/services/core/SiteGroupCoreService.ts
index 87030fd..5c41303 100644
--- a/wwjcloud/src/common/site/services/core/SiteGroupCoreService.ts
+++ b/wwjcloud/src/common/site/services/core/SiteGroupCoreService.ts
@@ -28,6 +28,10 @@ export class SiteGroupCoreService {
     return this.repo.findOne({ where: { group_id } });
   }
 
+  async getAll() {
+    return this.repo.find();
+  }
+
   async add(payload: Partial<SiteGroup>) {
     const entity = this.repo.create({ ...payload, create_time: Math.floor(Date.now() / 1000) });
     return this.repo.save(entity);
@@ -47,4 +51,9 @@ export class SiteGroupCoreService {
     const list = await this.repo.find();
     return list.map((g) => ({ id: (g as any).group_id, label: g.group_name, children: [] }));
   }
+
+  async checkAddon(_addons: string[]) {
+    // 预留校验逻辑；与 PHP 行为对齐可在此实现
+    return true as any;
+  }
 }
diff --git a/wwjcloud/src/common/site/site.module.ts b/wwjcloud/src/common/site/site.module.ts
index 349bab7..bd6d3be 100644
--- a/wwjcloud/src/common/site/site.module.ts
+++ b/wwjcloud/src/common/site/site.module.ts
@@ -1,4 +1,5 @@
 ﻿import { Module } from "@nestjs/common";
+import { CacheModule } from "@nestjs/cache-manager";
 import { TypeOrmModule } from "@nestjs/typeorm";
 import { Site } from "./entities/Site";
 import { SiteGroup } from "./entities/SiteGroup";
@@ -6,6 +7,8 @@ import { SiteAccountLog } from "./entities/SiteAccountLog";
 import { SiteAccount } from "./entities/SiteAccount";
 import { SysUserLog } from "./entities/SysUserLog";
 import { DiyModule } from "../diy/diy.module";
+import { SysUser } from "../admin/entities/SysUser";
+import { SysUserRole } from "../admin/entities/SysUserRole";
 
 // Core Services
 import { CoreSiteService } from "./services/core/CoreSiteService";
@@ -33,8 +36,9 @@ import { DiyLoadEventHandler } from "./subscribers/diyLoadEventHandler";
  */
 @Module({
   imports: [
-    TypeOrmModule.forFeature([Site, SiteGroup, SiteAccountLog, SysUserLog, SiteAccount]),
+    TypeOrmModule.forFeature([Site, SiteGroup, SiteAccountLog, SysUserLog, SiteAccount, SysUser, SysUserRole]),
     DiyModule,
+    CacheModule.register(),
   ],
   providers: [
     // Core Services
diff --git a/wwjcloud/src/common/site/subscribers/diyLoadEventHandler.ts b/wwjcloud/src/common/site/subscribers/diyLoadEventHandler.ts
index b9e3b25..aceb79d 100644
--- a/wwjcloud/src/common/site/subscribers/diyLoadEventHandler.ts
+++ b/wwjcloud/src/common/site/subscribers/diyLoadEventHandler.ts
@@ -17,7 +17,7 @@ export class DiyLoadEventHandler {
   @EventHandler('site.diy.load', { consumerGroup: 'site-diy-initializer' })
   async onLoad(event: DomainEvent): Promise<void> {
     const data = (event?.data || {}) as { site_id?: number; main_app?: string[]; tag?: 'add' | 'update' };
-    const siteId = Number(data.site_id || 0);
+    const siteId = Number(data.site_id);
     if (!siteId) return;
     
     try {
diff --git a/wwjcloud/src/common/sys/controllers/admin/AppController.ts b/wwjcloud/src/common/sys/controllers/admin/AppController.ts
index 2ca8f78..fd35a37 100644
--- a/wwjcloud/src/common/sys/controllers/admin/AppController.ts
+++ b/wwjcloud/src/common/sys/controllers/admin/AppController.ts
@@ -1,4 +1,4 @@
-import { Controller, Get, Param, Query, UseGuards, Req } from '@nestjs/common';
+import { Controller, Get, Param, Query, UseGuards, Req, UnauthorizedException } from '@nestjs/common';
 import {
   ApiTags,
   ApiOperation,
@@ -42,9 +42,11 @@ export class AppController {
     @Query('type') type?: string,
     @Req() req?: AuthenticatedRequest,
   ) {
-    const siteId = req?.user?.siteId || 0;
-    const result = await this.appService.getAppList();
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req?.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.appService.getAppList();
   }
 
   @Get(':appKey')
@@ -55,9 +57,11 @@ export class AppController {
     @Param('appKey') appKey: string,
     @Req() req: AuthenticatedRequest,
   ) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.appService.getAppInfo(appKey);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.appService.getAppInfo(appKey);
   }
 
   @Get('check/:appKey')
diff --git a/wwjcloud/src/common/sys/controllers/admin/AreaController.ts b/wwjcloud/src/common/sys/controllers/admin/AreaController.ts
index 6009b2a..5314d87 100644
--- a/wwjcloud/src/common/sys/controllers/admin/AreaController.ts
+++ b/wwjcloud/src/common/sys/controllers/admin/AreaController.ts
@@ -20,10 +20,10 @@ import { AreaService } from '../../services/admin/AreaService';
 
 /**
  * 地区管理控制器 - 管理端
- * 路由前缀: /adminapi/sys/area
+ * 路由前缀: /admin/sys/area
  */
 @ApiTags('地区管理')
-@Controller('adminapi/sys/area')
+@Controller('admin/sys/area')
 @UseGuards(JwtAuthGuard, RolesGuard)
 @Roles('admin')
 export class AreaController {
@@ -34,8 +34,7 @@ export class AreaController {
   @ApiQuery({ name: 'pid', description: '父级ID', required: false })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getListByPid(@Query('pid', ParseIntPipe) pid: number = 0) {
-    const result = await this.areaService.getListByPid(pid);
-    return { code: 200, message: '获取成功', data: result };
+    return await this.areaService.getListByPid(pid);
   }
 
   @Get('tree')
@@ -43,8 +42,7 @@ export class AreaController {
   @ApiQuery({ name: 'level', description: '最大层级', required: false })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getAreaTree(@Query('level', ParseIntPipe) level: number = 3) {
-    const result = await this.areaService.getAreaTree(level);
-    return { code: 200, message: '获取成功', data: result };
+    return await this.areaService.getAreaTree(level);
   }
 
   @Get('search')
@@ -56,8 +54,7 @@ export class AreaController {
     @Query('keyword') keyword: string,
     @Query('level', ParseIntPipe) level?: number,
   ) {
-    const result = await this.areaService.searchArea(keyword, level);
-    return { code: 200, message: '获取成功', data: result };
+    return await this.areaService.searchArea(keyword, level);
   }
 
   @Get(':id')
@@ -65,8 +62,7 @@ export class AreaController {
   @ApiParam({ name: 'id', description: '地区ID' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getAreaByAreaCode(@Param('id', ParseIntPipe) id: number) {
-    const result = await this.areaService.getAreaByAreaCode(id);
-    return { code: 200, message: '获取成功', data: result };
+    return await this.areaService.getAreaByAreaCode(id);
   }
 
   @Get(':id/path')
@@ -75,7 +71,7 @@ export class AreaController {
   @ApiResponse({ status: 200, description: '获取成功' })
   async getFullPath(@Param('id', ParseIntPipe) id: number) {
     const result = await this.areaService.getFullPath(id);
-    return { code: 200, message: '获取成功', data: { path: result } };
+    return { path: result };
   }
 
   @Get('batch/:ids')
@@ -87,7 +83,6 @@ export class AreaController {
       .split(',')
       .map((id) => parseInt(id.trim()))
       .filter((id) => !isNaN(id));
-    const result = await this.areaService.getAreaByAreaCodes(idArray);
-    return { code: 200, message: '获取成功', data: result };
+    return await this.areaService.getAreaByAreaCodes(idArray);
   }
 }
diff --git a/wwjcloud/src/common/sys/controllers/admin/AttachmentCategoryController.ts b/wwjcloud/src/common/sys/controllers/admin/AttachmentCategoryController.ts
index 558cdb0..90c12d5 100644
--- a/wwjcloud/src/common/sys/controllers/admin/AttachmentCategoryController.ts
+++ b/wwjcloud/src/common/sys/controllers/admin/AttachmentCategoryController.ts
@@ -10,6 +10,7 @@
   UseGuards,
   Req,
   ParseIntPipe,
+  UnauthorizedException,
 } from '@nestjs/common';
 import { ApiTags, ApiOperation, ApiResponse, ApiParam } from '@nestjs/swagger';
 import type { Request } from 'express';
@@ -48,9 +49,11 @@ export class AttachmentCategoryController {
     @Query() query: AttachmentCategoryQueryDto,
     @Req() req: AuthenticatedRequest,
   ) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.attachmentCategoryService.getPage(siteId, query);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.attachmentCategoryService.getPage(siteId, query);
   }
 
   @Get(':id')
@@ -61,9 +64,11 @@ export class AttachmentCategoryController {
     @Param('id', ParseIntPipe) id: number,
     @Req() req: AuthenticatedRequest,
   ) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.attachmentCategoryService.getInfo(siteId, id);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.attachmentCategoryService.getInfo(siteId, id);
   }
 
   @Post()
@@ -73,13 +78,11 @@ export class AttachmentCategoryController {
     @Body() data: CreateAttachmentCategoryDto,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.attachmentCategoryService.add(siteId, data);
-      return { code: 200, message: '创建成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '创建失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.attachmentCategoryService.add(siteId, data);
   }
 
   @Put(':id')
@@ -91,17 +94,15 @@ export class AttachmentCategoryController {
     @Body() data: UpdateAttachmentCategoryDto,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.attachmentCategoryService.edit(
-        siteId,
-        id,
-        data,
-      );
-      return { code: 200, message: '更新成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '更新失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.attachmentCategoryService.edit(
+      siteId,
+      id,
+      data,
+    );
   }
 
   @Delete(':id')
@@ -112,12 +113,10 @@ export class AttachmentCategoryController {
     @Param('id', ParseIntPipe) id: number,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.attachmentCategoryService.del(siteId, id);
-      return { code: 200, message: '删除成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '删除失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.attachmentCategoryService.del(siteId, id);
   }
 }
